Loading...
Searching...
No Matches
Deserializer
MessagePack C
Collaboration diagram for Deserializer:

## Classes

struct | msgpack_unpacked

## Typedefs

typedef struct msgpack_unpacked | msgpack_unpacked

## Enumerations

enum | msgpack_unpack_return { MSGPACK_UNPACK_SUCCESS = 2 , MSGPACK_UNPACK_EXTRA_BYTES = 1 , MSGPACK_UNPACK_CONTINUE = 0 , MSGPACK_UNPACK_PARSE_ERROR = -1 , MSGPACK_UNPACK_NOMEM_ERROR = -2 }

## Functions

MSGPACK_DLLEXPORT msgpack_unpack_return | msgpack_unpack_next (msgpack_unpacked *result, const char *data, size_t len, size_t *off)

## Detailed Description

## Typedef Documentation

## msgpack_unpacked

typedef struct msgpack_unpacked msgpack_unpacked

## Enumeration Type Documentation

## msgpack_unpack_return

enum msgpack_unpack_return

Enumerator
MSGPACK_UNPACK_SUCCESS |
MSGPACK_UNPACK_EXTRA_BYTES |
MSGPACK_UNPACK_CONTINUE |
MSGPACK_UNPACK_PARSE_ERROR |
MSGPACK_UNPACK_NOMEM_ERROR |

## Function Documentation

## msgpack_unpack_next()

MSGPACK_DLLEXPORT msgpack_unpack_return msgpack_unpack_next | ( | msgpack_unpacked * | result,
|  | const char * | data,
|  | size_t | len,
|  | size_t * | off
| ) |  |